获取 iosDeviceFeaturesConfiguration
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
读取 iosDeviceFeaturesConfiguration 对象的属性和关系。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.Read.All、DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.Read.All、DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 iosDeviceFeaturesConfiguration 对象。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/v1.0/deviceManagement/deviceConfigurations/{deviceConfigurationId}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 2313
{
"value": {
"@odata.type": "#microsoft.graph.iosDeviceFeaturesConfiguration",
"id": "651e0ab3-0ab3-651e-b30a-1e65b30a1e65",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"assetTagTemplate": "Asset Tag Template value",
"lockScreenFootnote": "Lock Screen Footnote value",
"homeScreenDockIcons": [
{
"@odata.type": "microsoft.graph.iosHomeScreenFolder",
"displayName": "Display Name value",
"pages": [
{
"@odata.type": "microsoft.graph.iosHomeScreenFolderPage",
"displayName": "Display Name value",
"apps": [
{
"@odata.type": "microsoft.graph.iosHomeScreenApp",
"displayName": "Display Name value",
"bundleID": "Bundle ID value"
}
]
}
]
}
],
"homeScreenPages": [
{
"@odata.type": "microsoft.graph.iosHomeScreenPage",
"displayName": "Display Name value",
"icons": [
{
"@odata.type": "microsoft.graph.iosHomeScreenFolder",
"displayName": "Display Name value",
"pages": [
{
"@odata.type": "microsoft.graph.iosHomeScreenFolderPage",
"displayName": "Display Name value",
"apps": [
{
"@odata.type": "microsoft.graph.iosHomeScreenApp",
"displayName": "Display Name value",
"bundleID": "Bundle ID value"
}
]
}
]
}
]
}
],
"notificationSettings": [
{
"@odata.type": "microsoft.graph.iosNotificationSettings",
"bundleID": "Bundle ID value",
"appName": "App Name value",
"publisher": "Publisher value",
"enabled": true,
"showInNotificationCenter": true,
"showOnLockScreen": true,
"alertType": "banner",
"badgesEnabled": true,
"soundsEnabled": true
}
]
}
}
反馈
提交和查看相关反馈